<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Http\Request;

class Region extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $guarded = [ 'id' ];
    /**
     * Get the country record associated with the region.
     */
    public function country() {
        return $this->belongsTo('App\Country','country_id');
    }
    /**
     * Get the country record associated with the region.
     */
    public function rsm() {
        return $this->belongsTo('App\User','rsm_id','id');
    }
    /***
     * List Regions
     *
     * @return mixed
     */
    public function listRegions()
    {
        return $this->orderBy('id', 'Asc')->paginate(12);
    }
    /***
     * Insert/Update Region
     *
     * @return mixed
     */
    public function InsertOrUpdateRegion(Request $request,$id=0)
    {
        if($id>0){
            $region=$this->findOrFail($id);
        }else{
            $region=new $this();
        }
        $region->uuid= generate_uuid();
        $region->name= $request->input('name');
//        $region->business_name= $request->input('business_name');
//        $region->balance= $request->input('balance');
        $region->country_id= $request->input('country');
        if($region->save()){
            return true;
        }else{
            return false;
        }
    }
}
